package com.hdkj.lt.bf.service;

import com.hdkj.lt.bf.entity.dto.BeakerStatusDTO;
import com.hdkj.lt.bf.entity.dto.SwitchOrTransformerDTO;
import com.hdkj.lt.bf.entity.vo.*;
import com.hdkj.lt.core.bizms.modle.request.StateEstimationEquipRequest;

import java.util.List;

public interface FhzgSvgBreakersService {
    List<BeakerSvgInfoVO> getBreakerStatusInfo(BeakerStatusDTO dto);


    PqiuCurveInfoVO getPqiuCurveInfo(StateEstimationEquipRequest dto);

    List<BeakerStatusInfoVO> getBeakerStatusInfoZg(BeakerStatusDTO dto);

    List<BeakerStatusInfoVO> getBeakerStatusInfoLc(BeakerStatusDTO dto);

    List<BeakerBreakerProtectionInfoVO> getBeakerStatusInfoBg(BeakerStatusDTO dto);

    List<BeakerStatusInfoVO> getBeakerStatusInfoZgh(BeakerStatusDTO dto);

    BeakerSvgInfoVO getBeakerSvgInfoVOByPsrId(BeakerStatusDTO dto);

    List<BeakerStatusInfoVO> saveStatusInfoZgList(BeakerStatusDTO dto);

    void deleteSvgPqui(BeakerStatusDTO dto);

    List<SwitchOrTransformerVO> getSwitchAndTransformerList(SwitchOrTransformerDTO dto);

    SwitchOrTransformerVO getSwitchOrTransformerInfo(SwitchOrTransformerDTO dto);
}
